Class 'PDO' not found

  • Affected Version
    WoltLab Suite 3.1

    Ich komme nicht mehr weiter kann mir jemand helfen ?

    Requested URL
    /board/
    Referrer
    https://ascadon.com/?s=rankings
    WoltLab Suite
    3.1.3 pl 1
    PHP
    7.1.18
    Error Message
    Class 'PDO' not found
    Type
    Error
    File (Line)
    /usr/local/www/apache24/data/board/lib/system/database/MySQLDatabase.class.php (28)
    Stacktrace
    1. /usr/local/www/apache24/data/board/lib/system/database/Database.class.php (119): wcf\system\database\MySQLDatabase->connect(…)
    2. /usr/local/www/apache24/data/board/lib/system/WCF.class.php (359): wcf\system\database\Database->__construct(…)
    3. /usr/local/www/apache24/data/board/lib/system/WCF.class.php (164): wcf\system\WCF->initDB(…)
    4. /usr/local/www/apache24/data/board/global.php (13): wcf\system\WCF->__construct(…)
    5. /usr/local/www/apache24/data/board/index.php (8): require_once(…)
  • pdo_mysql ist nicht installiert. Falls du die Wahl zwischen "nd_pdo_mysql" und "pdo_mysql" hast, dann nimm bitte "nd_pdo_mysql", das ist die bessere Bibliothek von beiden.

    klappt nun tauchen zwischendurch diese Probleme

    PDOException


    Error Message:

    SQLSTATE[08004] [1040] Too many connections

  • Too many connections

    Zu viele parallele Anfragen an den Datenbank-Server, etwa wenn gerade viele Leute die Website aufrufen bzw. man sehr inperformante Plugins installiert hat, die sehr viele Anfragen an PHP stellen.

    Viel kannst du da nicht machen, außer den Hoster bitten das Limit anzuheben. Wahrscheinlich wird dir dann aber einfach nur irgendein Unfug aufgetischt von wegen "Skript macht die Datenbank-Verbindung nicht zu" und ähnliche Märchen :D

  • Oh Zu viele parallele Anfragen an den Datenbank-Server, etwa wenn gerade viele Leute die Website aufrufen bzw. man sehr inperformante Plugins installiert hat, die sehr viele Anfragen an PHP stellen.

    Viel kannst du da nicht machen, außer den Hoster bitten das Limit anzuheben. Wahrscheinlich wird dir dann aber einfach nur irgendein Unfug aufgetischt von wegen "Skript macht die Datenbank-Verbindung nicht zu" und ähnliche Märchen :D

    oh je hahah xd ja wir haben halt viele User. Aber denke wir wurden auch dabei bisschen geddost. Aber nun taucht ein neues Problem auf. Beim registrieren oder wenn man Bestätigungscode neu haben möchte kommt diese Meldung

  • Stimmen die Dateirechte?

    Dateirechte stimmen alle haben 777

  • Hallo,

    die mbstring-Extension ist nicht installiert.

    So installiert,

    nun noch ein Problem

    Wenn ich unter Anzeige aktualisieren /Medien aktualisieren drücke

  • Um das abzukürzen:

    Quote

    Systemvoraussetzungen

    Für den Betrieb der Software wird ein Server bzw. ein Webspacepaket benötigt, auf dem die Skriptsprache PHP und eine MySQL Datenbank zur Verfügung steht.

    Die Minimalvoraussetzung ist PHP in Version 5.5.4 und MySQL in Version 5.5.35 oder MariaDB 10.0.22 mit InnoDB-Unterstützung. Für bessere Geschwindigkeit, Stabilität und Sicherheit empfiehlt sich der Einsatz der jeweils aktuellen stabilen Version von PHP und MySQL. Für einen einwandfreien Betrieb der Software werden zudem die folgenden PHP-Erweiterungen benötigt: mbstring, libxml, dom, zlib, pdo, pdo_mysql, json, pcre, hash. Des Weiteren muss das memory_limit auf mindestens 128 MB gesetzt sein.

    In der Grundinstallation benötigt die Software ca. 20 MB Festplattenspeicher. Mit größeren Benutzeraktivitäten (z.B. das Schreiben von Nachrichten oder Hochladen von Dateien) steigt auch der Speicherplatzverbrauch entsprechend an.

    Ob die genannten Voraussetzungen von Ihrem Server bzw. Ihrem Webspacepaket erfüllt werden, erfragen Sie bitte bei Ihrem Serveradministrator oder Internet Service Provider. Erfahrungsgemäß lässt sich die Software bei allen größeren Webspace-Anbietern einwandfrei installieren und betreiben.

    Um die installierte Software im Browser aufrufen und vollständig nutzen zu können, wird zudem eine aktuelle Version der gängigen Internet Browser mit aktiviertem Javascript benötigt.

  • Nö. Du hast kein gd installiert.

    Führe mal bitte curl https://raw.githubusercontent.com/WoltLab/WCF/master/wcfsetup/test.php | php aus, und wenn du nichts positives erhälst, weißt du, woran du arbeiten musst.

    Edited once, last by jens1o (July 2, 2018 at 4:31 PM).

  • Nö. Du hast kein gd installiert.

    Führe mal bitte wget https://raw.githubusercontent.com/WoltLab/WCF/master/wcfsetup/test.php && php test.php aus, und wenn du nichts positives erhälst, weißt du, woran du arbeiten musst.

    Stimmt GD hat gefehlt.

    Wie kann ich den Test durchführen ?

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!